petsc-3.6.2 2015-10-02
Report Typos and Errors

# MatCUSPARSEStorageFormat

indicates the storage format for CUSPARSE (GPU) matrices.

### Synopsis

    typedef enum {MAT_CUSPARSE_CSR, MAT_CUSPARSE_ELL, MAT_CUSPARSE_HYB} MatCUSPARSEStorageFormat;

Not Collective

| MAT_CUSPARSE_CSR | - Compressed Sparse Row
| MAT_CUSPARSE_ELL | - Ellpack (requires CUDA 4.2 or later).
| MAT_CUSPARSE_HYB | - Hybrid, a combination of Ellpack and Coordinate format (requires CUDA 4.2 or later).

Any additions/changes here MUST also be made in include/petsc/finclude/petscmat.h

### See Also

MatCUSPARSESetFormat(), MatCUSPARSEFormatOperation

Level:intermediate
Location:src/mat/../../include/petscmat.h
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages